Tspi_TPM_DirWrite(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_DirWrite - write to a Data Integrity Register

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_DirWrite(TSS_HTPM hTPM,            UINT32 ulDirIndex,
                             UINT32   ulDirDataLength, BYTE*  rgbDirData);

DESCRIPTION

Tspi_TPM_DirWrite writes a data integrity register. You need to know the DIR index and data you wish to write to the DIR prior to using this command.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object.

  ulDirIndex
The ulDirIndex parameter is the index of the DIR to write. To query the TPM for the number of DIR registers it supports, use Tspi_TPM_GetCapability(3).

  ulDirDataLength
The ulDirDataLength parameter is the length in bytes of the rgbDirData parameter.

  rgbDirData
The rgbDirData parameter is a pointer to memory containing the data to be written to the DIR.

RETURN CODES

Tspi_TPM_DirWrite returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_TPM_DirWrite conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetCapability(3), Tspi_TPM_DirRead(3).